commit:     b621e957b24b697eb720721c3035d56d87cd0f35
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Feb 13 04:28:26 2026 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Feb 13 04:43:41 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b621e957

dev-python/librt: Bump to 0.8.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/librt/Manifest           |  2 ++
 dev-python/librt/librt-0.8.0.ebuild | 40 +++++++++++++++++++++++++++++++++++++
 2 files changed, 42 insertions(+)

diff --git a/dev-python/librt/Manifest b/dev-python/librt/Manifest
index f4d0439265b4..c65fb4fa7328 100644
--- a/dev-python/librt/Manifest
+++ b/dev-python/librt/Manifest
@@ -1,2 +1,4 @@
 DIST librt-0.7.8.tar.gz 148323 BLAKE2B 
9aab34a9170f32dca52cab0fa9bee432978661e0bd4ded83b084a13d58983278db27d3c5282c55ab0125d759a6f5471dd4ca8f092bf5b8651408514f567a8a73
 SHA512 
bd562ea330a64018281deb6b02a87b54bb98e02b0d615bfba6dee8000a1bfe03c3f8e90835b8f5db3211d480663a1e40af95992a1b60c43a173b0865feba3320
 DIST librt-0.7.8.tar.gz.provenance 9219 BLAKE2B 
4cfcce07ef22e57af3cc6688fc176fa1acabebefcf2334c80c7213431947be181ef1784272990a7d294070502aaa529fa6a7fcfbe64490d945a0e547f56ba15c
 SHA512 
59e411c757a18d28c4a3cc43030557ab1f854293eb6696e4c9547eefd3aa76a369bb695acf924e6d03de44f221e026222088d60763495a68594c6512f99263a8
+DIST librt-0.8.0.tar.gz 177306 BLAKE2B 
5072835303e9d8be728fea8c0bdcefc19811581cd19ccd21ad3b39ae94dc31682f02971dd8fa1c9666ee007104a425d0f4ab7a643911e6817d494a17ec4c0950
 SHA512 
22849b5b49f0ff48e09a8e03d5f6ba7823c78490bfc13296e23ad8d4b14e5c3d717c9cb8aae766da161188a07d13276dcca48d01d2293bdd902e2c55fc8dcb36
+DIST librt-0.8.0.tar.gz.provenance 9078 BLAKE2B 
0a1405a29b306166301432819b80da0cfe4f715fc12d2cab392a8b2707b28516c0821b3ce30e51f4fbcf1ec427befc398d09169e5f29e6a1f205ba65eeb4c561
 SHA512 
130d5a4f75d252b4b53d0463a804ea4e4afd83b8223ec64785b57cf60a092192d7f4720cf8eef0dd25cf207a4404d0a1748b47dcd2a85959cde2317a740ad11d

diff --git a/dev-python/librt/librt-0.8.0.ebuild 
b/dev-python/librt/librt-0.8.0.ebuild
new file mode 100644
index 000000000000..a9413095520d
--- /dev/null
+++ b/dev-python/librt/librt-0.8.0.ebuild
@@ -0,0 +1,40 @@
+# Copyright 2025-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYPI_VERIFY_REPO=https://github.com/mypyc/librt
+PYTHON_COMPAT=( python3_{11..14} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Mypyc runtime library"
+HOMEPAGE="
+       https://github.com/mypyc/librt/
+       https://pypi.org/project/librt/
+"
+
+LICENSE="MIT PSF-2.4"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~loong ~m68k ~ppc ~ppc64 ~riscv ~s390"
+
+BDEPEND="
+       test? (
+               dev-python/mypy-extensions[${PYTHON_USEDEP}]
+       )
+"
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
+
+python_compile() {
+       # setuptools is broken for C extensions, bug #907718, bug #967476 etc.
+       distutils-r1_python_compile -j1
+}
+
+python_test() {
+       rm -rf librt || die
+       epytest smoke_tests.py
+}

Reply via email to